# Update a Workspace

* [Request Parameters](#request-parameters)
* [Response](#response)

Updates the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) associated with the authentication value.

{% tabs %}
{% tab title="JavaScript" %}
Updates the workspace associated with the authentication value.

**Code:**

```javascript
await seam.workspaces.update({
  name: "My Workspace",
  connect_partner_name: "Acme",
  connect_webview_customization: {
    inviter_logo_url:
      "https://connect.getseam.com/internal/images/view?image_id=1de135fa-f0c2-4e57-90d0-6b9a7d090a0c",
    logo_shape: "circle",
    primary_button_color: "#232426",
    primary_button_text_color: "#FFFDE7",
    success_message: "Your account has been successfully connected to Acme!",
  },
  is_suspended: true,
});
```

**Output:**

```javascript
// void
```

{% endtab %}

{% tab title="cURL" %}
Updates the workspace associated with the authentication value.

**Code:**

```curl
curl --include --request POST "https://connect.getseam.com/workspaces/update" \
  --header "Authorization: Bearer $SEAM_API_KEY" \
  --json @- <<EOF
{
  "name": "My Workspace",
  "connect_partner_name": "Acme",
  "connect_webview_customization": {
    "inviter_logo_url": "https://connect.getseam.com/internal/images/view?image_id=1de135fa-f0c2-4e57-90d0-6b9a7d090a0c",
    "logo_shape": "circle",
    "primary_button_color": "#232426",
    "primary_button_text_color": "#FFFDE7",
    "success_message": "Your account has been successfully connected to Acme!"
  },
  "is_suspended": true
}
EOF
```

**Output:**

```curl
{}
```

{% endtab %}

{% tab title="Python" %}
Updates the workspace associated with the authentication value.

**Code:**

```python
seam.workspaces.update(
    name="My Workspace",
    connect_partner_name="Acme",
    connect_webview_customization={
        "inviter_logo_url": "https://connect.getseam.com/internal/images/view?image_id=1de135fa-f0c2-4e57-90d0-6b9a7d090a0c",
        "logo_shape": "circle",
        "primary_button_color": "#232426",
        "primary_button_text_color": "#FFFDE7",
        "success_message": "Your account has been successfully connected to Acme!",
    },
    is_suspended=true,
)
```

**Output:**

```python
None
```

{% endtab %}

{% tab title="Ruby" %}
Updates the workspace associated with the authentication value.

**Code:**

```ruby
seam.workspaces.update(
  name: "My Workspace",
  connect_partner_name: "Acme",
  connect_webview_customization: {
    inviter_logo_url:
      "https://connect.getseam.com/internal/images/view?image_id=1de135fa-f0c2-4e57-90d0-6b9a7d090a0c",
    logo_shape: "circle",
    primary_button_color: "#232426",
    primary_button_text_color: "#FFFDE7",
    success_message: "Your account has been successfully connected to Acme!",
  },
  is_suspended: true,
)
```

**Output:**

```ruby
nil
```

{% endtab %}

{% tab title="PHP" %}
Updates the workspace associated with the authentication value.

**Code:**

```php
$seam->workspaces->update(
    name: "My Workspace",
    connect_partner_name: "Acme",
    connect_webview_customization: [
        "inviter_logo_url" =>
            "https://connect.getseam.com/internal/images/view?image_id=1de135fa-f0c2-4e57-90d0-6b9a7d090a0c",
        "logo_shape" => "circle",
        "primary_button_color" => "#232426",
        "primary_button_text_color" => "#FFFDE7",
        "success_message" =>
            "Your account has been successfully connected to Acme!",
    ],
    is_suspended: true,
);
```

**Output:**

```php
```

{% endtab %}

{% tab title="Seam CLI" %}
Updates the workspace associated with the authentication value.

**Code:**

```seam_cli
seam workspaces update --name "My Workspace" --connect_partner_name "Acme" --connect_webview_customization {"inviter_logo_url":"https://connect.getseam.com/internal/images/view?image_id=1de135fa-f0c2-4e57-90d0-6b9a7d090a0c","logo_shape":"circle","primary_button_color":"#232426","primary_button_text_color":"#FFFDE7","success_message":"Your account has been successfully connected to Acme!"} --is_suspended true
```

**Output:**

```seam_cli
{}
```

{% endtab %}
{% endtabs %}

<details>

<summary>Authentication Methods</summary>

* API key
* Personal access token\
  Must also include the `seam-workspace` header in the request.

To learn more, see [Authentication](https://docs.seam.co/latest/api/authentication).

</details>

## Request Parameters

**`connect_partner_name`** *String*

Connect partner name for the workspace.

***

**`connect_webview_customization`** *Object*

[Connect Webview](https://docs.seam.co/latest/core-concepts/connect-webviews) customizations for the workspace. See also [Customize the Look and Feel of Your Connect Webviews](https://docs.seam.co/latest/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-look-and-feel-of-your-connect-webviews).

<details>

<summary><code>logo_shape</code> <em>Enum</em></summary>

Logo shape for [Connect Webviews](https://docs.seam.co/latest/core-concepts/connect-webviews) in the workspace. See also [Customize the Look and Feel of Your Connect Webviews](https://docs.seam.co/latest/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-look-and-feel-of-your-connect-webviews).

Enum values:

* `circle`
* `square`

</details>

***

<details>

<summary><code>primary_button_color</code> <em>String</em></summary>

Primary button color for [Connect Webviews](https://docs.seam.co/latest/core-concepts/connect-webviews) in the workspace. See also [Customize the Look and Feel of Your Connect Webviews](https://docs.seam.co/latest/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-look-and-feel-of-your-connect-webviews).

</details>

***

<details>

<summary><code>primary_button_text_color</code> <em>String</em></summary>

Primary button text color for [Connect Webviews](https://docs.seam.co/latest/core-concepts/connect-webviews) in the workspace. See also [Customize the Look and Feel of Your Connect Webviews](https://docs.seam.co/latest/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-look-and-feel-of-your-connect-webviews).

</details>

***

<details>

<summary><code>success_message</code> <em>String</em></summary>

Success message for [Connect Webviews](https://docs.seam.co/latest/core-concepts/connect-webviews) in the workspace. See also [Customize the Look and Feel of Your Connect Webviews](https://docs.seam.co/latest/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-look-and-feel-of-your-connect-webviews).

</details>

***

**`is_publishable_key_auth_enabled`** *Boolean*

Indicates whether publishable key authentication is enabled for this workspace.

***

**`is_suspended`** *Boolean*

Indicates whether the workspace is suspended.

***

**`name`** *String*

Name of the workspace.

***

## Response

{% hint style="success" %}
Returns: **void**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/api/workspaces/update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
